MOD_ROOT = "__test-unstable__"
tile_table = {}
-- Add new tile for building platform, same properties as concrete but different graphics (color-conding white concrete for now) and map color.
building_platform = util.table.deepcopy(data.raw["tile"]["concrete"])
building_platform.name                           = "building-platform"
building_platform.variants.main[1].picture       = MOD_ROOT.."/graphics/concrete/concrete1.png"
building_platform.variants.main[2].picture       = MOD_ROOT.."/graphics/concrete/concrete2.png"
building_platform.variants.main[3].picture       = MOD_ROOT.."/graphics/concrete/concrete4.png"
building_platform.variants.inner_corner.picture  = MOD_ROOT.."/graphics/concrete/concrete-inner-corner.png"
building_platform.variants.outer_corner.picture  = MOD_ROOT.."/graphics/concrete/concrete-outer-corner.png"
building_platform.variants.side.picture          = MOD_ROOT.."/graphics/concrete/concrete-side.png"
building_platform.variants.u_transition.picture  = MOD_ROOT.."/graphics/concrete/concrete-u.png"
building_platform.variants.o_transition.picture  = MOD_ROOT.."/graphics/concrete/concrete-o.png"
building_platform.map_color = {
	r = (127),
	g = (127),
	b = (127)
}
--building_platform.minable = nil -- remove this to make building platform minable



table.insert(tile_table,building_platform)
data:extend(tile_table)


data:extend( { {
    type = "item",
    name = "building-platform",
    icon = MOD_ROOT.."/graphics/concrete/icon.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "terrain",
    order = "b[concrete]",
    stack_size = 100,
    place_as_tile =
    {
      result = "building-platform",
      condition_size = 4,
      condition = { "water-tile" }
    }
  }})