
-- Tile type to use for base building
basebuilding_tile_type = "building-platform";

-- Types of entities that cannot be placed outside of specific areas
disallowed_types = {
	"storage-tank",
	"logistic-container",
	"roboport",
	"arithmetic-combinator",
	"decider-combinator",
	"constant-combinator",
	"boiler",
	"generator",
	"solar-panel",
	"accumulator",
	"furnace",
	"assembling-machine",
	"lab",
	"beacon",
	"radar",
	"rocket-silo"
}


-- We use "floor-layer" to restrict building placement
-- This items use floor-layer but should be placeable
floor_items = {
	"straight-rail",
	"curved-rail",
	"transport-belt",
	"rail-signal",
	"rail-chain-signal"
}

non_colliding_floor = {
	["straight-rail"] = true,
	["curved-rail"] = true
}

-- Special process function to disallow specific items
-- Substations are disabled while normal power poles are enabled
special_disallowed_types = {
	["electric-pole"]=".*substation.*"
}
